/** 
*   Docutain SDK React Native
*   Copyright (c) INFOSOFT Informations- und Dokumentationssysteme GmbH. All rights reserved.
*
*   Docutain SDK React Native is a commercial product and requires a license. 
*   Details found in the LICENSE file in the root directory of this source tree.
*/

export type PDFPageFormat =  
 | 'FIT_TO_PAGES' 
 | 'A4' 
 | 'A4_LANDSCAPE' 
 | 'A5' 
 | 'A5_LANDSCAPE' 
 | 'LETTER' 
 | 'LETTER_LANDSCAPE' 
 | 'LEGAL' 
 | 'LEGAL_LANDSCAPE';
 
export type LogLevel = 'DISABLE'| 'ASSERT'| 'ERROR'| 'WARNING'| 'INFO'| 'DEBUG'| 'VERBOSE';


export interface AnalyzeConfiguration {
	readBIC  ?: boolean;
	readPaymentState  ?: boolean;
}

export interface PageEditConfiguration {
	allowPageFilter ?: boolean;
	allowPageRotation ?: boolean;
}

export interface DocutainColor {
	Light: string;
	Dark: string;
}

export interface ColorConfig {
	ColorPrimary?: DocutainColor;
	ColorSecondary?: DocutainColor;
	ColorOnSecondary?: DocutainColor;
	ColorScanButtonsLayoutBackground?: DocutainColor;
	ColorScanButtonsForeground?: DocutainColor;
	ColorScanPolygon?: DocutainColor;
	ColorBottomBarBackground?: DocutainColor;
	ColorBottomBarForeground?: DocutainColor;
	ColorTopBarBackground?: DocutainColor;
	ColorTopBarForeground?: DocutainColor;
}

export interface DocumentScannerConfiguration {

	allowCaptureModeSetting?: boolean;

//	onboardingImageSource?: string;

	pageEditConfig?: PageEditConfiguration;

	ColorConfig?: ColorConfig;
}
